// pages/bank/add/add.js
import * as UTIL from '../../../utils/util.js';
import * as API from '../../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    showBankType:false,
    form:{
      sheng: "", //省 必填
      shi: "",  //市  必填
      bankType: "", //所属银行 必填
      bankDeposit: "", //开户行 必填
      payeePaymentLines: "", //联行号 //必填
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    var that = this;
    //所属银行
    UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'bank_type', {method:'GET'}, {
      success: (res) => {
        this.setData({
          bankTypeOptions:res.data
        });
      }
    })
  },
  openBox(even){
    console.log(even.currentTarget.dataset.name);
    this.setData({
      [even.currentTarget.dataset.name]:true
    })
  },
  closeBox(even){
    console.log(even.currentTarget.dataset.name);
    this.setData({
      [even.currentTarget.dataset.name]:false
    })
  },
  onConfirm(even){
    console.log(even);
    var that = this ;
    if(even.currentTarget.dataset.name == "showBankType"){
      // 付款方式类型字典查询 
      UTIL.httpRequest(API.URL_GET_DEPOSITLIST, {method:'GET',bankType:even.detail.value.dictValue,status:'0'}, {
        success: (res) => {
          that.setData({
            depositOptions:res.rows,
          })
        }
      })
    }
    this.setData({
      [even.currentTarget.dataset.value]:even.detail.value.dictValue,
      [even.currentTarget.dataset.value+"Text"]:even.detail.value.dictLabel,
      [even.currentTarget.dataset.name]:false,
    })
  },
  onConfirmDeposit(even){
    console.log(even);
    this.setData({
      [even.currentTarget.dataset.value]:even.detail.value.bankDeposit,
      [even.currentTarget.dataset.value+"Text"]:even.detail.value.bankDeposit,
      [even.currentTarget.dataset.name]:false,
      ["form.payeePaymentLines"]:even.detail.value.payeePaymentLines
    })
  },
  onChange(even){
    console.log(even);
    this.setData({
      [even.currentTarget.dataset.formname]:even.detail
    })
  },
  goSubmit(){
    console.log(this.data.form);
    var that = this;
    that.data.form.method = 'POST';
    UTIL.httpRequest(API.URL_GET_DEPOSITADD, that.data.form, {
      success: (res) => {
        wx.showToast({
          title: "提交成功！",
          duration: 2000,
          icon:"success"
        })
        setTimeout(function(){
          wx.navigateBack({
            delta:1
          })
        },2000)
      }
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})